System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.ControlBuilder

This class is used primarily for control developers. To create a custom control builder for a derived control, you need to inherit from this class.

Interacts with the parser to build a control.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  This method overrides the inherited implementation of the method to always indicate that white spaces in the text associated with the control are not represented by objects.

  Determines whether white spaces in the text associated with the are represented by objects.

  false for all cases.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The method is used to determine whether HTML entities in the text associated with the are converted to their equivalent characters when the text is parsed. This method overrides the inherited implementation of the method to always return true. This indicates that HTML entities in the text associated with the control are always automatically converted to their equivalent, plain text characters.

  The text associated with the is rendered as an attribute of the <option> HTML element. When the attribute is rendered on the client, special characters are automatically converted to their equivalent HTML entity. For example, the less than character (<) is converted to &lt;. When the attribute is parsed, HTML entities are automatically converted back to their equivalent, plain text characters.

  Determines whether HTML entities in the text associated with the are converted to their equivalent characters when the text is parsed.

  true for all cases.

  1.0.5000.0
  2.0.0.0